/*
 * ana_init.c
 *
 * Date         : 29/10/2001
 * Author       : Akihiro Asahara (asahara@cr.scphys.kyoto-u.ac.jp)
 * version      : 0.9
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include "cfortran.h"
#include "hbook.h"

void ana_init(){
  /* TDC */
   HBOOK2(1,"TDC width(indipendent)",64,-0.5,63.5,151,-10.,1500.,0.0);
   HBOOK2(2,"TDC Start(indipendent)",64,-0.5,63.5,151,-10.,1500.,0.0);
   HBOOK2(3,"TDC Stop (indipendent)",64,-0.5,63.5,151,-10.,1500.,0.0);
   HBOOK2(4,"Multihit PMT",64,-0.5,63.5,10,-0.5,9.5,0.0);
   HBOOK1(5,"Nhit PMT",52,-1.5,50.5,0.0);
   HBOOK1(6,"Channels",65,-1,64,0.0);
   HBOOK2(7,"width map I",7,1.0,8.0,7,1.0,8.0,0.0);
   HBOOK2(8,"start map I",7,1.0,8.0,7,1.0,8.0,0.0);
   HBOOK2(9,"stop map I",7,1.0,8.0,7,1.0,8.0,0.0);
   HBOOK1(10,"tdc status",4,0,4,0.0);
  /* TKO */
   HBOOK2(21,"TKO scaler(indipendent)",64,-0.5,63.5,302.,-10.,1500.,0.0);
   HBOOK2(22,"TKO scaler map",7,1.0,8.0,7,1.0,8.0,0.0);
   HBOOK1(30,"TKO status",4,0,4,0.0);
  /* Scaler */
   HBOOK1(41,"1MHz",360,0.,360.,0.0);
   HBOOK1(43,"DAQ req",360,0.,360.,0.0);
   HBOOK1(44,"DAQ acc(1)",360,0.,360.,0.0);
   HBOOK1(45,"DAQ acc(2)",360,0.,360.,0.0);

   HBOOK1(50,"scal status",4,0,4,0.0);
  /* ADC */
   HBOOK1(61,"ADC1",5100,-100.,5000.,0.0);
   HBOOK1(62,"ADC2",5100,-100.,5000.,0.0);
   HBOOK1(63,"ADC3",5100,-100.,5000.,0.0);
   HBOOK1(64,"ADC all",3000,0.,15000.,0.0);
   HBOOK1(70,"adc status",4,0,4,0.0);
  /* Others */
   HBOOK1(101,"Daq or GPS trig",2,1,3,0.0);
   HBOOK1(102,"Event length",500,0.,1000.,0.0);
 }
