/*
 * chess_local.h
 */

#define CLOCKG 1000000.0
#define BAD_CH 60
#define UP   1
#define DOWN 0

#define GPS 8
#define SOFT_SCAL_NUM 3

#define DEBUG 0

#define UPDATE 30
#define PMT_NUM 45

struct vme_time{
  short hh;
  short ml;
  short ss;
  int tv_sec;
  int tv_usec;
};

struct gps_time{
  short yy;
  short mm;
  short dd;
  short hh;
  short ml;
  short ss;
  short msec;
  short l_usec;
  short h_usec;
};

struct tdcdata{
  int channel;
  int chip_n;
  int edge;
  int time;
};

static int xpos[46] = {0,6,5,4,3,2,7,6,5,4,3,2,1,7,6,5,4,3,2,1,7,6,5,4,3,2,1,7,6,5,4,3,2,1,7,6,5,4,3,2,1,6,5,4,3,2};
static int ypos[46] = {0,7,7,7,7,7,6,6,6,6,6,6,6,5,5,5,5,5,5,5,4,4,4,4,4,4,4,3,3,3,3,3,3,3,2,2,2,2,2,2,2,1,1,1,1,1};



